#ifndef XGFXCOLOR_H
#define XGFXCOLOR_H

#include "xasset.h"

class XGfxColor : public XAsset
{
public:
    explicit XGfxColor();

    void ParseData(XDataStream *aStream) override;
    void Clear() override;

    void SetColor(quint8 r, quint8 g, quint8 b, quint8 a);

private:
    QVector<quint8> mArray;
};

#endif // XGFXCOLOR_H
